<?php
//@*--


class Theme_Designer_Adminhtml_ListController extends Theme_Designer_Controller_AdminAction
{
    public function indexAction() {
        $this->loadLayout();
        $this->renderLayout();
    }

    public function getUrlAction() {
        $newName = $this->getRequest()->getParam('theme');
        $domain = $this->getRequest()->getParam('domain');
        $response = Mage::helper('core/url')->addRequestParam(
            $this->getAdminUrl('designer/adminhtml_theme/index'),
            array(
                'theme' => $newName,
                'domain' => $domain
            )
        );
        $this->getResponse()->setBody($response);
    }
}

//--*@